org.icefaces.ace.model.tree

## Class NodeKey

- java.lang.Object
- - org.icefaces.ace.model.tree.NodeKey

- All Implemented Interfaces:
    java.io.Serializable

      public class NodeKey
      extends java.lang.Object
      implements java.io.Serializable

  Created with IntelliJ IDEA. User: Nils Date: 8/15/12 Time: 9:15 PM To change this template use File | Settings | File Templates.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NodeKey` | `ROOT_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeKey()`
    `NodeKey(java.lang.Object... keys)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodeKey` | `append(java.lang.Object segment)`
    `NodeKey` | `append(java.lang.Object[] segments)`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.Object[]` | `getKeys()`
    `NodeKey` | `getParent()`
    `int` | `hashCode()`
    `void` | `setKeys(java.lang.Object[] keys)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ROOT_KEY

          public static final NodeKey ROOT_KEY

  - ### Constructor Detail

    - #### NodeKey

          public NodeKey()

    - #### NodeKey

          public NodeKey(java.lang.Object... keys)

  - ### Method Detail

    - #### getKeys

          public java.lang.Object[] getKeys()

    - #### setKeys

          public void setKeys(java.lang.Object[] keys)

    - #### append

          public NodeKey append(java.lang.Object[] segments)

    - #### append

          public NodeKey append(java.lang.Object segment)

    - #### getParent

          public NodeKey getParent()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.